petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexCreateGmshFromFile

Create a DMPlex mesh from a Gmsh file

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateGmshFromFile(MPI_Comm comm, const char filename[], PetscBool interpolate, DM *dm)

| comm | - The MPI communicator
| filename | - Name of the Gmsh file
| interpolate | - Create faces and edges in the mesh

### Output Parameter

dm -The DM object representing the mesh

### See Also

DMPlexCreateFromFile(), DMPlexCreateGmsh(), DMPlexCreate()

Level:beginner
Location:src/dm/impls/plex/plexgmsh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages